---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libji06t001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x55C40, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x57B80, symBinAddr: 0xE1A0, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x57F70, symBinAddr: 0xE590, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58F10, symBinAddr: 0xF530, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58F20, symBinAddr: 0xF540, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55870, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55874, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55878, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x559D0, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55A88, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x55A8C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55A90, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x55A94, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55A98, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55AA0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55AB0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55AB8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x55AC0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x55AC8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x55AD0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9007, offset: 0x9007, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x55AD8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL12monent_calls, symObjAddr: 0x55B1C, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x9106, offset: 0x9106, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x55B20, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x911F, offset: 0x911F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x55B28, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x9138, offset: 0x9138, size: 0x8, addend: 0x0, symName: __ZL6clsObj, symObjAddr: 0x55B30, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x9156, offset: 0x9156, size: 0x8, addend: 0x0, symName: __ZL10monEntered, symObjAddr: 0x55B38, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0x916F, offset: 0x916F, size: 0x8, addend: 0x0, symName: __ZL10thrStarted, symObjAddr: 0x55B40, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x9194, offset: 0x9194, size: 0x8, addend: 0x0, symName: __ZL7verbose, symObjAddr: 0x55BA4, symBinAddr: 0xC254, symSize: 0x0 }
  - { offsetInCU: 0x91AD, offset: 0x91AD, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x55BA8, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x91C6, offset: 0x91C6, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x55B54, symBinAddr: 0xC234, symSize: 0x0 }
  - { offsetInCU: 0x91E4, offset: 0x91E4, size: 0x8, addend: 0x0, symName: __ZL10releaseMon, symObjAddr: 0x55B58, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x91FD, offset: 0x91FD, size: 0x8, addend: 0x0, symName: __ZL2vm, symObjAddr: 0x55B60, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: __ZL9countLock, symObjAddr: 0x55B68, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0x9341, offset: 0x9341, size: 0x8, addend: 0x0, symName: _procedure, symObjAddr: 0x40, symBinAddr: 0x1E70, symSize: 0x30 }
  - { offsetInCU: 0x94B3, offset: 0x94B3, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2050, symSize: 0x80 }
  - { offsetInCU: 0x9548, offset: 0x9548, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1FA0, symSize: 0xB0 }
  - { offsetInCU: 0x95A3, offset: 0x95A3, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1EA0, symSize: 0x100 }
  - { offsetInCU: 0x9836, offset: 0x9836, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x20D0, symSize: 0xC0 }
  - { offsetInCU: 0x9888, offset: 0x9888, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2190, symSize: 0x220 }
  - { offsetInCU: 0x9A6D, offset: 0x9A6D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x23B0, symSize: 0xA0 }
  - { offsetInCU: 0x9B20, offset: 0x9B20, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2450, symSize: 0x110 }
  - { offsetInCU: 0x9C16, offset: 0x9C16, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2560, symSize: 0x150 }
  - { offsetInCU: 0x9D93, offset: 0x9D93, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x26B0, symSize: 0x30 }
  - { offsetInCU: 0x9E1C, offset: 0x9E1C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x26E0, symSize: 0x150 }
  - { offsetInCU: 0xA014, offset: 0xA014, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2830, symSize: 0x160 }
  - { offsetInCU: 0xA2D4, offset: 0xA2D4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2990, symSize: 0x4A0 }
  - { offsetInCU: 0xA547, offset: 0xA547, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2E30, symSize: 0x1B0 }
  - { offsetInCU: 0xA762, offset: 0xA762, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2FE0, symSize: 0xA0 }
  - { offsetInCU: 0xA831, offset: 0xA831, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3080, symSize: 0x20 }
  - { offsetInCU: 0xA868, offset: 0xA868, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x30A0, symSize: 0x20 }
  - { offsetInCU: 0xA89F, offset: 0xA89F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x30C0, symSize: 0x20 }
  - { offsetInCU: 0xAA0E, offset: 0xAA0E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x30E0, symSize: 0x1A0 }
  - { offsetInCU: 0xAD2A, offset: 0xAD2A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3280, symSize: 0x130 }
  - { offsetInCU: 0xAEDA, offset: 0xAEDA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x33B0, symSize: 0x80 }
  - { offsetInCU: 0xAFA3, offset: 0xAFA3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3430, symSize: 0x6A0 }
  - { offsetInCU: 0xBB38, offset: 0xBB38, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB000, symBinAddr: 0x55C0, symSize: 0xB0 }
  - { offsetInCU: 0xBBAF, offset: 0xBBAF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3AD0, symSize: 0x70 }
  - { offsetInCU: 0xBC4B, offset: 0xBC4B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3B40, symSize: 0xA0 }
  - { offsetInCU: 0xBD2A, offset: 0xBD2A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3BE0, symSize: 0x40 }
  - { offsetInCU: 0xBE20, offset: 0xBE20, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3C20, symSize: 0x2B0 }
  - { offsetInCU: 0xC1C6, offset: 0xC1C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3ED0, symSize: 0xC0 }
  - { offsetInCU: 0xC30C, offset: 0xC30C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3F90, symSize: 0x10 }
  - { offsetInCU: 0xC3CE, offset: 0xC3CE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3FA0, symSize: 0x220 }
  - { offsetInCU: 0xC6CB, offset: 0xC6CB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x41C0, symSize: 0x10 }
  - { offsetInCU: 0xC728, offset: 0xC728, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x41D0, symSize: 0x170 }
  - { offsetInCU: 0xC8CE, offset: 0xC8CE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x4340, symSize: 0x10 }
  - { offsetInCU: 0xC943, offset: 0xC943, size: 0x8, addend: 0x0, symName: _MyMonitorEnter, symObjAddr: 0x9D90, symBinAddr: 0x4350, symSize: 0x140 }
  - { offsetInCU: 0xCD0F, offset: 0xCD0F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI06_ji06t001_check, symObjAddr: 0x9ED0, symBinAddr: 0x4490, symSize: 0x9C0 }
  - { offsetInCU: 0xD9E3, offset: 0xD9E3, size: 0x8, addend: 0x0, symName: __ZL11ownerThreadPv, symObjAddr: 0xA890, symBinAddr: 0x4E50, symSize: 0x2B0 }
  - { offsetInCU: 0xDDDF, offset: 0xDDDF, size: 0x8, addend: 0x0, symName: __ZL13waitingThreadPv, symObjAddr: 0xAB40, symBinAddr: 0x5100, symSize: 0x260 }
  - { offsetInCU: 0xE1B3, offset: 0xE1B3, size: 0x8, addend: 0x0, symName: __ZL16redirectorThreadPv, symObjAddr: 0xADA0, symBinAddr: 0x5360, symSize: 0x260 }
  - { offsetInCU: 0xE53C, offset: 0xE53C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB0B0, symBinAddr: 0x5670, symSize: 0x36A }
...
